gdjs._1074_1099_1093_1086_1076Code = {};
gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects1= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects3= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects2= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects3= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects1= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects2= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects3= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects1= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects2= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects3= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects1= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects2= [];
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects3= [];


gdjs._1074_1099_1093_1086_1076Code.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("num")) == 2;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2);
{runtimeScene.getGame().getVariables().get("код").setString(gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)) + "00" + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("вход2"))) + gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)));
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("код"))));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("num")) == 1;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2);
{runtimeScene.getGame().getVariables().get("код").setString(gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)) + "0" + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("вход2"))) + gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)));
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("код"))));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("num")) == 3;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects1);
{runtimeScene.getGame().getVariables().get("код").setString(gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)) + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("вход2"))) + gdjs.evtTools.common.toString(gdjs.randomInRange(1000, 9999)));
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects1[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("код"))));
}
}}

}


};gdjs._1074_1099_1093_1086_1076Code.eventsList1 = function(runtimeScene) {

{



}


{



}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) < 100);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9615156);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{gdjs.evtTools.variable.setVariableBoolean(runtimeScene.getScene().getVariables().get("Q1"), true);
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("1"));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) < 10);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("Q1"), true);
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9616908);
}
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{runtimeScene.getGame().getVariables().get("вход2").setString("00" + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней"))));
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("2" + "[" + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("вход2"))) + "]"));
}
}{runtimeScene.getGame().getVariables().get("num").setNumber(2);
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) >= 10);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("Q1"), true);
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9619676);
}
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{runtimeScene.getGame().getVariables().get("вход2").setString("0" + gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней"))));
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("3"));
}
}{runtimeScene.getGame().getVariables().get("num").setNumber(1);
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) >= 100);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9621628);
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{gdjs.evtTools.variable.setVariableBoolean(runtimeScene.getScene().getVariables().get("Q2"), true);
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("4"));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) >= 1000);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("Q2"), true);
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9623412);
}
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "конец");
}{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("5"));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
{isConditionTrue_0 = (gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней")) < 1000);
}
if (isConditionTrue_0) {
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableBoolean(runtimeScene.getScene().getVariables().get("Q2"), true);
if (isConditionTrue_0) {
isConditionTrue_0 = false;
{isConditionTrue_0 = runtimeScene.getOnceTriggers().triggerOnce(9625116);
}
}
}
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewText2"), gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1);
{for(var i = 0, len = gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length ;i < len;++i) {
    gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].setString(gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1[i].getString() + ("6"));
}
}{runtimeScene.getGame().getVariables().get("num").setNumber(3);
}{runtimeScene.getGame().getVariables().get("вход2").setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("моней"))));
}}

}


{


let isConditionTrue_0 = false;
{
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {

{ //Subevents
gdjs._1074_1099_1093_1086_1076Code.eventsList0(runtimeScene);} //End of subevents
}

}


};

gdjs._1074_1099_1093_1086_1076Code.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects1.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects2.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewTextObjects3.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects1.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects2.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText2Objects3.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects1.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects2.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewTiledSpriteObjects3.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects1.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects2.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText3Objects3.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects1.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects2.length = 0;
gdjs._1074_1099_1093_1086_1076Code.GDNewText4Objects3.length = 0;

gdjs._1074_1099_1093_1086_1076Code.eventsList1(runtimeScene);

return;

}

gdjs['_1074_1099_1093_1086_1076Code'] = gdjs._1074_1099_1093_1086_1076Code;
